Bug 623766 - Cannot renable wireless with kill switch
Summary: Cannot renable wireless with kill switch
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-12 17:47 UTC by Orion Poplawski
Modified: 2010-11-01 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-01 23:24:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2010-08-12 17:47:51 UTC
Description of problem:

Dell Inspiron 14 with Intel WiFi Link 5100.

If I disable and then renable the radio with the "F2" switch, I get:

Aug 12 11:40:28 palila kernel: iwlagn 0000:04:00.0: RF_KILL bit toggled to disable radio.
Aug 12 11:40:28 palila NetworkManager[3041]: <info> WiFi now disabled by radio killswitch
Aug 12 11:40:36 palila kernel: iwlagn 0000:04:00.0: RF_KILL bit toggled to enable radio.
Aug 12 11:40:38 palila NetworkManager[3041]: <info> WiFi now disabled by radio killswitch

And NM remains stuck in wireless disabled mode.  I have to edit /var/lib/NetworkManager/NetworkManager.state to turn wireless back on.

Running KDE with knetworkmanager.  After restarting NM, I need to re-enable wireless in knetworkmanager as well.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-1.fc13.x86_64

Comment 1 Dan Williams 2010-08-12 21:54:00 UTC
When this happens and the radio does not turn back on, what is the output of:

rfkill list
cat /sys/class/rfkill/*/state
cat /sys/class/rfkill/*/type

?

Comment 2 Orion Poplawski 2010-08-13 16:01:37 UTC
Hmm, after a reboot I can no longer reproduce this.  We'll see if it happens again.

Comment 3 Dan Williams 2010-11-01 23:24:26 UTC
Closing for now; please reopen if you can reproduce it.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.